Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::FilteredTermEnum Class Referenceabstract

Abstract class for enumerating a subset of all terms. More...

`#include <FilteredTermEnum.h>`

Inheritance diagram for Lucene::FilteredTermEnum:

## Public Member Functions

virtual | ~FilteredTermEnum ()
virtual String | getClassName ()
boost::shared_ptr < FilteredTermEnum > | shared_from_this ()
virtual double | difference ()=0
| Equality measure on the term. More...
virtual int32_t | docFreq ()
| Returns the docFreq of the current Term in the enumeration. Returns -1 if no Term matches or all terms have been enumerated. More...
virtual bool | next ()
| Increments the enumeration to the next element. True if one exists. More...
virtual TermPtr | term ()
| Returns the current Term in the enumeration. Returns null if no Term matches or all terms have been enumerated. More...
virtual void | close ()
| Closes the enumeration to further activity, freeing resources. More...
Public Member Functions inherited from Lucene::TermEnum
virtual | ~TermEnum ()
boost::shared_ptr< TermEnum > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermEnum
static String | _getClassName ()

## Protected Member Functions

virtual bool | termCompare (TermPtr term)=0
| Equality compare on the term. More...
virtual bool | endEnum ()=0
| Indicates the end of the enumeration has been reached. More...
virtual void | setEnum (TermEnumPtr actualEnum)
| Use this method to set the actual TermEnum (eg. in ctor), it will be automatically positioned on the first matching term. More...

## Protected Attributes

TermPtr | currentTerm
| The current term. More...
TermEnumPtr | actualEnum
| The delegate enum - to set this member use setEnum. More...

## Detailed Description

Abstract class for enumerating a subset of all terms.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

## Constructor & Destructor Documentation

virtual Lucene::FilteredTermEnum::~FilteredTermEnum | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::FilteredTermEnum::_getClassName | ( | ) |  |

inline static

virtual void Lucene::FilteredTermEnum::close | ( | ) |  |

virtual

Closes the enumeration to further activity, freeing resources.

Implements Lucene::TermEnum.

Reimplemented in Lucene::FuzzyTermEnum.

virtual double Lucene::FilteredTermEnum::difference | ( | ) |  |

pure virtual

Equality measure on the term.

Implemented in Lucene::FuzzyTermEnum, Lucene::TermRangeTermEnum, Lucene::WildcardTermEnum, Lucene::PrefixTermEnum, and Lucene::SingleTermEnum.

virtual int32_t Lucene::FilteredTermEnum::docFreq | ( | ) |  |

virtual

Returns the docFreq of the current Term in the enumeration. Returns -1 if no Term matches or all terms have been enumerated.

Implements Lucene::TermEnum.

virtual bool Lucene::FilteredTermEnum::endEnum | ( | ) |  |

protected pure virtual

Indicates the end of the enumeration has been reached.

Implemented in Lucene::FuzzyTermEnum, Lucene::TermRangeTermEnum, Lucene::WildcardTermEnum, Lucene::PrefixTermEnum, and Lucene::SingleTermEnum.

virtual String Lucene::FilteredTermEnum::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::TermEnum.

Reimplemented in Lucene::TermRangeTermEnum, Lucene::FuzzyTermEnum, Lucene::WildcardTermEnum, Lucene::PrefixTermEnum, and Lucene::SingleTermEnum.

virtual bool Lucene::FilteredTermEnum::next | ( | ) |  |

virtual

Increments the enumeration to the next element. True if one exists.

Implements Lucene::TermEnum.

virtual void Lucene::FilteredTermEnum::setEnum | ( | TermEnumPtr | actualEnum) |  |

protected virtual

Use this method to set the actual TermEnum (eg. in ctor), it will be automatically positioned on the first matching term.

boost::shared_ptr< FilteredTermEnum > Lucene::FilteredTermEnum::shared_from_this | ( | ) |  |

inline

virtual TermPtr Lucene::FilteredTermEnum::term | ( | ) |  |

virtual

Returns the current Term in the enumeration. Returns null if no Term matches or all terms have been enumerated.

Implements Lucene::TermEnum.

virtual bool Lucene::FilteredTermEnum::termCompare | ( | TermPtr | term) |  |

protected pure virtual

Equality compare on the term.

Implemented in Lucene::FuzzyTermEnum, Lucene::TermRangeTermEnum, Lucene::WildcardTermEnum, Lucene::PrefixTermEnum, and Lucene::SingleTermEnum.

## Field Documentation

TermEnumPtr Lucene::FilteredTermEnum::actualEnum

protected

The delegate enum - to set this member use setEnum.

TermPtr Lucene::FilteredTermEnum::currentTerm

protected

The current term.

The documentation for this class was generated from the following file:

- FilteredTermEnum.h

clucene.sourceforge.net